BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.All, AllowMultiple=true, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

This is the base class for attributes used by the security system.

To be added.
- Constructor
  A value.

  Constructs and initializes a new instance of with the specified .

  To be added.
  is not a valid value.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Security.Permissions.SecurityAction To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.IPermission

  Returns a object that contains the security information of the current instance.

  A object.

  Returns an instance of the permission type that corresponds to the current attribute. The returned object contains the security information of the current attribute.

  Override this method to create an instance of the permission type that corresponds to the current attribute. For example, the implementation of creates an instance of the class.

  Security information specified using attributes is stored in metadata. The security information in the metadata is created using the permission object returned by this method.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets or sets full (unrestricted) permission to the resource protected by the current instance.

  if full access to the protected resource is declared or is being set; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0